Home Help Center

ICE 3.5 and .Net assemblies

ngambek2003ngambek2003 Member Budyanto HimawanOrganization: WMS Inc.Project: Casino back end services ✭✭
Hi,

The .Net assemblies that come with the windows installer, that was built with target .Net framework of 4.0?

We have a need to target .Net framework 3.5.

So I downloaded the src and tried building it. I uncommented FRAMEWORK = 3.5 in Make.rules.mak.cs and then run nmake.

I get the following error:
Network.cs(325,85): error CS0117: 'System.Net.Sockets.SocketOptionName' does not
contain a definition for 'IPv6Only'

Thanks

Comments

  • mesmes CaliforniaAdministrators, ZeroC Staff Mark SpruiellOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Hi,

    We'll look into this and contact you by email soon.

    Mark
  • rowanwrowanw Member Rowan WorthOrganization: DownUnder GeosolutionsProject: Abstraction layer for multiple data sources
    Hiya,

    Was there a resolution here? I'm having the same problem trying to build Ice.dll (3.5.1) for .Net framework 3.5.

    Cheers,
    -Rowan
  • mesmes CaliforniaAdministrators, ZeroC Staff Mark SpruiellOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Hi Rowan,

    Unfortunately the fix didn't make it into 3.5.1. I've posted a source patch. Let us know if you'd like us to send you a patched assembly.

    Regards,
    Mark
Sign In or Register to comment.